#include "insns.h"

#define MOVSICC(N, CMP)				\
static int movsicc##N(int AC, int *X1, int *X2)	\
{						\
  return *X1 CMP 0 ? *X1 : *X2;			\
}

MOVSICC (1, ==)
MOVSICC (2, !=)
MOVSICC (3, >=)
MOVSICC (4, <=)
MOVSICC (5, >)
MOVSICC (6, >)
